package de.intevation.flys.artifacts.model;

import java.util.ArrayList;
import java.util.List;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class RiverFactory {

    /** We don't need to instantiate concrete objects of this class. */
    private RiverFactory() {
    }


    /**
     * Returns all rivers that were found in the backend.
     *
     * @return all rivers.
     */
    public static List<River> getRivers() {
        List<River> rivers = new ArrayList<River>();

        rivers.add(new River("Mosel"));
        rivers.add(new River("Saar"));

        return rivers;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
